org.springframework.context.event

## Class ContextStartedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.context.event.ApplicationContextEvent
      - - org.springframework.context.event.ContextStartedEvent

All Implemented Interfaces:
  Serializable

    public class ContextStartedEvent
    extends ApplicationContextEvent

Event raised when an `ApplicationContext` gets started.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller
See Also:
  `ContextStoppedEvent`, Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ContextStartedEvent(ApplicationContext source)` Create a new ContextStartedEvent.

### Method Summary

### Methods inherited from class org.springframework.context.event.ApplicationContextEvent

`getApplicationContext`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextStartedEvent

    public ContextStartedEvent(ApplicationContext source)

Create a new ContextStartedEvent.

Parameters:
  `source` - the `ApplicationContext` that has been started (must not be `null`)